This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 891202

Summary: nodejs-lru-cache - A least recently used cache object for Node.js
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: Package ReviewAssignee: Eduardo Echeverria <echevemaster>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: echevemaster, notting, package-review
Target Milestone: ---Flags: echevemaster: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-15 04:34:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 891171, 891205, 891226    

Description T.C. Hollingsworth 2013-01-02 03:34:44 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-lru-cache.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-lru-cache-2.2.1-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4831011
FAS username: patches

A cache object that deletes the least recently used items.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 Eduardo Echeverria 2013-01-09 03:02:11 EST
Hi T.C.

Issues:
=======
- %clean is not needed
- BuildRoot is not needed
- cleaning of buildroot in %install is not needed
- %defattr is not needed
- tests should be run if possible

In the same line as discussed in #891194, I follow the same criteria for the review (ie ignore el5 stuff, the installation of node modules in /usr/lib and the tests)

I would take the Summary it as the provided by Debian:
- Javascript least-recently-used cache object

and the description:
A cache object that deletes the least recently used items


rpmlint output:
nodejs-lru-cache.src: W: strange-permission nodejs-lru-cache.spec 0600L
- Please change permissions 
nodejs-lru-cache.src: W: no-%build-section
- Add the %%build section (even if empty).

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
-I checked manually in the LICENSE file in this it is under MIT license

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (lru-cache-2.2.1.tgz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-lru-cache-2.2.1-1.fc19.noarch.rpm
          nodejs-lru-cache-2.2.1-1.fc19.src.rpm
nodejs-lru-cache.noarch: W: only-non-binary-in-usr-lib
nodejs-lru-cache.src: W: strange-permission nodejs-lru-cache.spec 0600L
nodejs-lru-cache.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-lru-cache
nodejs-lru-cache.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-lru-cache-2.2.1-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine)



Provides
--------
nodejs-lru-cache-2.2.1-1.fc19.noarch.rpm:
    
    nodejs-lru-cache = 2.2.1-1.fc19
    npm(lru-cache) = 2.2.1



MD5-sum check
-------------
http://registry.npmjs.org/lru-cache/-/lru-cache-2.2.1.tgz :
  CHECKSUM(SHA256) this package     : 70a44ccebb3963990257e632eede78e4a873814411675cbf27ee56b5fe349836
  CHECKSUM(SHA256) upstream package : 70a44ccebb3963990257e632eede78e4a873814411675cbf27ee56b5fe349836
Comment 3 Eduardo Echeverria 2013-01-12 13:37:03 EST
T.C. 
the issues have been solved
But I built in mock and I get a weird "requires", specifically:

Requires: ( ) d e g i j n o s

http://kojipkgs.fedoraproject.org//work/tasks/3243/4863243/build.log
you know anything about this? I speculate with any changes in rawhide that impacted builds. Obviously is an assumption :)

Regards
Comment 4 Eduardo Echeverria 2013-01-12 14:33:49 EST
Additionally I tried with other packages of nodejs revised and approved and gives the same output.

http://kojipkgs.fedoraproject.org//work/tasks/3307/4863307/build.log
Comment 5 T.C. Hollingsworth 2013-01-12 18:54:18 EST
Yeah, I introduced an awful brown paper bag bug in the Requires generation script.  It's fixed in nodejs-0.9.5-9.
Comment 6 Eduardo Echeverria 2013-01-13 03:59:39 EST
Ok, T.C. nodejs-0.9.5-9 is already in rawhide and everything is back to normal

----------------

PACKAGE APPROVED

----------------
Comment 7 T.C. Hollingsworth 2013-01-13 05:56:00 EST
New Package SCM Request
=======================
Package Name: nodejs-lru-cache
Short Description: A least recently used cache object for Node.js
Owners: patches
Branches: f18 el6
InitialCC:
Comment 8 T.C. Hollingsworth 2013-01-13 06:00:15 EST
(In reply to comment #6)
> Ok, T.C. nodejs-0.9.5-9 is already in rawhide and everything is back to
> normal

I just pushed an update in Bodhi for F18 as well.

Thanks for the review!
Comment 9 Jon Ciesla 2013-01-14 07:06:54 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-04-05 19:16:04 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.